@import url("https://fonts.googleapis.com/css2?family=Jost:wght@100;200;300;400;500;600;800;900&display=swap");

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: "Jost", sans-serif;
  scroll-behavior: smooth;
}

.container {
  max-width: 1440px;
  margin: 0 auto;
  height: 100%;
}

input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
.line {
  border-color: rgba(234, 234, 234, 0.4) !important;
  margin-block: 2rem;
}

:root {
  --dark_green: #164234;
  --light__green: rgb(103, 191, 74);
  --ease__transition: 0.3s ease-in-out;
}

body {
  position: relative;
  width: 100%;
}

::-webkit-scrollbar {
  width: 8px;
}

::-webkit-scrollbar-track {
  background: #164234c9;
}

::-webkit-scrollbar-thumb {
  background: var(--light__green);
  border-radius: 20px;
}
.linear_gradient_title {
  color: rgb(7, 43, 24);
  width: 80%;
  text-wrap: wrap;
  margin-bottom: 20px;
  font-size: 3.5rem;
  letter-spacing: -3px;
  margin: 0 auto;
  background: radial-gradient(
      circle,
      rgb(105, 192, 75) 14%,
      rgb(7, 43, 24) 57%,
      rgb(105, 192, 75) 100%
    )
    0% 0% / 200%;
  background-size: 200% auto;
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  animation: textclip 10s linear infinite;
  font-weight: 400 !important;
}
.linear_gradient_title__light {
  background: radial-gradient(
      circle,
      rgb(255, 255, 255) 14%,
      rgb(105, 192, 75) 57%,
      rgb(255, 255, 255) 100%
    )
    0% 0% / 200%;
  background-size: 200% auto;
  color: #fff;
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  animation: textclip 10s linear infinite;
  font-size: 3.5rem;
  line-height: 4rem;
}

@keyframes textclip {
  0% {
    background-position: 100%;
  }
  50% {
    background-position: 200%;
  }
  100% {
    background-position: 300%;
  }
}

/*?=== Responsive ===?*/

@media only screen and (max-width: 1000px) {
  .header nav {
    position: fixed;
    height: 100vh;
    width: 100%;
    top: 0;
    left: 0;
    background-color: var(--dark_green);
    z-index: -1;
    padding-top: 13vh;
    top: -100vh;
    transition: 0.6s ease-in-out;
  }
  .header nav.active {
    top: 0vh;
  }
  .header nav ul {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100%;
  }
  .header .nav__btn {
    display: none;
  }
  .header .bars {
    display: block;
  }
  .header nav ul li .nav__btn {
    display: block;
  }

  .home .home__main {
    flex-direction: column;
  }
}

@media only screen and (max-width: 600px) {
  .linear_gradient_title,
  .linear_gradient_title__light {
    font-size: 2rem !important;
    line-height: normal;
  }
  .linear_gradient_title {
    width: 95%;
  }
}
